> For the complete documentation index, see [llms.txt](https://docs-old.telematicssdk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-old.telematicssdk.com/response-codes/archive/back-end-to-app-integration/get-the-data-to-the-android-app/tracks.md).

# Android Telematics data (Tracks)

All data/statistics available via SDK **TrackingApi** class. You can use statistics and trips data to show it in your app. **Please send requests marked with \* in non-UI thread.**

{% content-ref url="/pages/-Ltj-V5wwAKs\_y6EuN6H" %}
[Check current running track state](/response-codes/archive/back-end-to-app-integration/get-the-data-to-the-android-app/tracks/check-current-running-track-state.md)
{% endcontent-ref %}

{% content-ref url="/pages/-Ltj-hwdw4jS7sKUdtwZ" %}
[Get start date for current recording trip](/response-codes/archive/back-end-to-app-integration/get-the-data-to-the-android-app/tracks/get-start-date-for-current-recording-trip.md)
{% endcontent-ref %}

{% content-ref url="/pages/-Ltj-hWdirxwiktRqECc" %}
[Register tracking state listener (for onStartTracking/onStopTracking events)](/response-codes/archive/back-end-to-app-integration/get-the-data-to-the-android-app/tracks/register-tracking-state-listener-for-onstarttracking-onstoptracking-events.md)
{% endcontent-ref %}

{% content-ref url="/pages/-Ltj-h3RYapVBQ8s7DP8" %}
[Register speed violations listener](/response-codes/archive/back-end-to-app-integration/get-the-data-to-the-android-app/tracks/register-speed-violations-listener.md)
{% endcontent-ref %}

{% content-ref url="/pages/-Ltj-gahdiX-0AxD2WRl" %}
[Get flag for registered speed violations listener](/response-codes/archive/back-end-to-app-integration/get-the-data-to-the-android-app/tracks/get-flag-for-registered-speed-violations-listener.md)
{% endcontent-ref %}

{% content-ref url="/pages/-Ltj-gB4ONAzrKmQrJTz" %}
[Get registered speed limit in km/h or default](/response-codes/archive/back-end-to-app-integration/get-the-data-to-the-android-app/tracks/get-registered-speed-limit-in-km-h-or-default.md)
{% endcontent-ref %}

{% content-ref url="/pages/-Ltj-fkScfchksgThP10" %}
[Get registered speed violations timeout in ms or default](/response-codes/archive/back-end-to-app-integration/get-the-data-to-the-android-app/tracks/get-registered-speed-violations-timeout-in-ms-or-default.md)
{% endcontent-ref %}

{% content-ref url="/pages/-Ltj-fJ\_URxcm9IfGVX0" %}
[Get Tracks](/response-codes/archive/back-end-to-app-integration/get-the-data-to-the-android-app/tracks/get-tracks.md)
{% endcontent-ref %}

{% content-ref url="/pages/-Ltj-euuuvmhMdIXSHaC" %}
[Get detailed trips information](/response-codes/archive/back-end-to-app-integration/get-the-data-to-the-android-app/tracks/get-detailed-trips-information.md)
{% endcontent-ref %}

{% content-ref url="/pages/-Ltj-eD6f792pq1OPlvl" %}
[Get available user roles](/response-codes/archive/back-end-to-app-integration/get-the-data-to-the-android-app/tracks/get-available-user-roles.md)
{% endcontent-ref %}

{% content-ref url="/pages/-Ltj-aFuZmG0s798kU1y" %}
[Change a user role (any of TrackOriginDictionary.code)](/response-codes/archive/back-end-to-app-integration/get-the-data-to-the-android-app/tracks/change-a-user-role-any-of-trackorigindictionary.code.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-old.telematicssdk.com/response-codes/archive/back-end-to-app-integration/get-the-data-to-the-android-app/tracks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
